%define ver_major 2.8
%define _name gtk-engines
%define engine_prefix libgtk-engine
%define old_engine_prefix gtk-engines
%define engine_namechange_ver 2.8.0-alt3
%define gtk_theme_prefix gtk2-theme
%define old_theme_prefix gtk2-themes
%define theme_namechange_ver 2.8.0-alt4

# Clearlooks animation takes some CPU cycles, so it's done optional.
%def_enable animation

Name: %{engine_prefix}s-default
Version: %ver_major.2
Release: alt1
Serial: 1

Summary: Default GTK+2 theme engines
License: GPL/LGPL
Group: Graphical desktop/GNOME
Url: http://gtk.themes.org/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

Obsoletes: %old_engine_prefix <= %engine_namechange_ver
Provides: %old_engine_prefix = %version-%release
Obsoletes: %old_engine_prefix-default <= %engine_namechange_ver
Provides: %old_engine_prefix-default = %version-%release
Obsoletes: %engine_prefix-default <= %engine_namechange_ver
Provides: %engine_prefix-default = %version-%release

%define gtk_ver 2.10.0
%define gtk_binary_ver 2.10.0
%define icon_theme_ver 2.10.0

Requires: %engine_prefix-redmond = %version-%release
Requires: %engine_prefix-hc = %version-%release
Requires: %engine_prefix-crux = %version-%release
Requires: %engine_prefix-mist = %version-%release
Requires: %engine_prefix-thinice = %version-%release
Requires: %engine_prefix-industrial = %version-%release
Requires: %engine_prefix-smooth = %version-%release
Requires: %engine_prefix-clearlooks = %version-%release
Requires: %engine_prefix-glide = %version-%release

BuildPreReq: libgtk+2-devel >= %gtk_ver

%description
These are the graphical engines for the various GTK+2 toolkit themes.

%package -n %engine_prefix-redmond
Summary: GTK+2 theme engine - Redmond95
Group: Graphical desktop/GNOME
Obsoletes: %old_engine_prefix-redmond95
Provides: %old_engine_prefix-redmond95 = %version-%release
Provides: %engine_prefix-redmond95 = %version-%release
Obsoletes: %old_engine_prefix-redmond < %engine_namechange_ver
Provides: %old_engine_prefix-redmond = %version-%release

%description -n %engine_prefix-redmond
A simple theme engine that looks a bit like another OS.

%package -n gtk-themes-redmond
Summary: GTK+2 theme - Redmond95 (Gtk1 and Gtk2)
Group: Graphical desktop/GNOME
Obsoletes: %old_theme_prefix-redmond < %engine_namechange_ver
Provides: %old_theme_prefix-redmond = %version-%release
Provides: gtk1-themes-redmond = %version-%release
# Due to file conflicts
Obsoletes: gtk2-themes-redmond = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n gtk-themes-redmond
A simple theme that looks a bit like another OS. A theme for gtk1 is also
available.

%package -n %engine_prefix-hc
Summary: A GTK+2 high contrast theme engine
Group: Graphical desktop/GNOME
Obsoletes: %old_engine_prefix-hc < %engine_namechange_ver
Provides: %old_engine_prefix-hc = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %engine_prefix-hc
Engine for high contrast themes, that improves visibility of shadows, edges,
and indicators when theme background and foreground contain near-black
and near-white colors.

%package -n %engine_prefix-smooth
Summary: A GTK+2 theme engine - Smooth
Group: Graphical desktop/GNOME
Obsoletes: gtk-smooth-engine
Provides: gtk-smooth-engine = %version-%release
Obsoletes: gtk2-smooth-engine
Provides: gtk2-smooth-engine = %version-%release
Obsoletes: %old_engine_prefix-smooth < %engine_namechange_ver
Provides: %old_engine_prefix-smooth = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %engine_prefix-smooth
This package contains a GTK2+ theme engine Smooth.

%package -n %gtk_theme_prefix-crux
Summary: A GTK+2 theme engine - Crux
Group: Graphical desktop/GNOME
Obsoletes: %old_engine_prefix-crux < 2.7.6
Provides: %old_engine_prefix-crux = %version-%release
Obsoletes: %old_theme_prefix-crux < %theme_namechange_ver
Provides: %old_theme_prefix-mist = %version-%release
Provides: %engine_prefix-crux = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %gtk_theme_prefix-crux
This package contains a GTK2+ theme engine named Crux and developed by
Eazel, Inc.

%package -n %gtk_theme_prefix-mist
Summary: A GTK+2 theme engine - Mist
Group: Graphical desktop/GNOME
Obsoletes: %old_engine_prefix-mist < 2.7.6
Provides: %old_engine_prefix-mist = %version-%release
Obsoletes: %old_theme_prefix-mist < %theme_namechange_ver
Provides: %old_theme_prefix-mist = %version-%release
Provides: %engine_prefix-mist = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %gtk_theme_prefix-mist
Author named this after the song he was listening to when he named it
(Opeth's "In Mist She Was Standing").
This package provides Mist GTK+2 theme engine.

%package -n %gtk_theme_prefix-clearlooks
Summary: A GTK+2 theme engine - ClearLooks
Group: Graphical desktop/GNOME
Obsoletes: %old_engine_prefix-clearlooks < 2.7.6
Provides: %old_engine_prefix-clearlooks = %version-%release
Obsoletes: %old_theme_prefix-clearlooks < %theme_namechange_ver
Provides: %old_theme_prefix-clearlooks = %version-%release
Provides: %engine_prefix-clearlooks = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %gtk_theme_prefix-clearlooks
ClearLooks is new modern looking engine for GTK+2, based on Bluecurve.
It has the looks of various themes blended together, resulting in a
theme that's easy on the eyes and visually pleasing.

This package contains Clearlooks theme and engine.

%package -n %gtk_theme_prefix-thinice
Summary: A GTK+2 theme engine - Thin Ice
Group: Graphical desktop/GNOME
Obsoletes: %engine_prefix-thinice-devel
Obsoletes: %old_engine_prefix-thinice < 2.7.6
Provides: %old_engine_prefix-thinice = %version-%release
Obsoletes: %old_theme_prefix-thinice < %theme_namechange_ver
Provides: %old_theme_prefix-thinice = %version-%release
Provides: %engine_prefix-thinice = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %gtk_theme_prefix-thinice
This package contains a GTK2+ theme engine Thin Ice.

%package -n %gtk_theme_prefix-industrial
Summary: A GTK+2 theme engine - Industrial
Group: Graphical desktop/GNOME
Obsoletes: %old_engine_prefix-industrial < 2.7.6
Provides: %old_engine_prefix-industrial = %version-%release
Obsoletes: %old_theme_prefix-industrial < %theme_namechange_ver
Provides: %old_theme_prefix-industrial = %version-%release
Provides: %engine_prefix-industrial = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %gtk_theme_prefix-industrial
This package contains a GTK2+ engine Industrial developed by Ximian, Inc. as
the default apearance for its Desktop. Industrial is a highly popular
look which provides a simple, consistant, and highly cohesive appearance
for applications.

%package -n %engine_prefix-glide
Summary: A GTK+2 theme engine - Glide
Group: Graphical desktop/GNOME
Obsoletes: %old_engine_prefix-glide < %engine_namechange_ver
Provides: %old_engine_prefix-glide = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %engine_prefix-glide
This package contains a GTK2+ theme engine Glide (used by Glider GNOME theme).

%package -n %{engine_prefix}s-devel
Summary: Development files for %_name
Group: Development/GNOME and GTK+
Obsoletes: %old_engine_prefix-default-devel < %engine_namechange_ver
Provides: %old_engine_prefix-default-devel = %version-%release

%description -n %{engine_prefix}s-devel
This package contains development files for %_name

%prep
%setup -q -n %_name-%version
#__subst 's,\(GTK\)2\(_VERSION\),\1\2,' engines/clearlooks/Makefile.am

%build
%__autoreconf
%configure \
    %{subst_enable animation} \

%make

%install
%makeinstall

%define engines_dir %_libdir/gtk-2.0/%gtk_binary_ver/engines

%files
%doc AUTHORS README ChangeLog

%files -n %engine_prefix-redmond
%engines_dir/libredmond95.so

%files -n gtk-themes-redmond
%dir %_datadir/themes/Redmond/
%dir %_datadir/themes/Redmond/gtk-2.0
%_datadir/themes/Redmond/gtk-2.0/gtkrc
%dir %_datadir/themes/Redmond/gtk
%_datadir/themes/Redmond/gtk/gtkrc
%doc engines/redmond/AUTHORS

%files -n %engine_prefix-hc
%engines_dir/libhcengine.so

%files -n %gtk_theme_prefix-crux
%engines_dir/*crux*.so
%dir %_datadir/themes/Crux
%dir %_datadir/themes/Crux/gtk-2.0
%_datadir/themes/Crux/gtk-2.0/gtkrc

%files -n %gtk_theme_prefix-clearlooks
%engines_dir/*clearlooks.so
%dir %_datadir/themes/Clearlooks
%dir %_datadir/themes/Clearlooks/gtk-2.0
%_datadir/themes/Clearlooks/gtk-2.0/gtkrc

%files -n %gtk_theme_prefix-mist
%engines_dir/libmist.so
%dir %_datadir/themes/Mist
%dir %_datadir/themes/Mist/gtk-2.0
%_datadir/themes/Mist/gtk-2.0/gtkrc

%files -n %gtk_theme_prefix-thinice
%engines_dir/*thinice.so
%dir %_datadir/themes/ThinIce
%dir %_datadir/themes/ThinIce/gtk-2.0
%_datadir/themes/ThinIce/gtk-2.0/gtkrc

%files -n %gtk_theme_prefix-industrial
%engines_dir/libindustrial.so
%dir %_datadir/themes/Industrial
%dir %_datadir/themes/Industrial/gtk-2.0
%_datadir/themes/Industrial/gtk-2.0/gtkrc

%files -n %engine_prefix-smooth
%engines_dir/libsmooth.so

%files -n %engine_prefix-glide
%engines_dir/libglide.so

%files -n %{engine_prefix}s-devel
%_libdir/pkgconfig/*.pc

%exclude %engines_dir/*.la

%changelog
* Wed Jan 24 2007 Alexey Rusakov <ktirf@altlinux.org> 1:2.8.2-alt1
- new version (2.8.2)
- libgtk-engine-redmond now obsoletes (and not provides) gtk2-themes-redmond
  (Bug #10329)

* Sun Oct 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 1:2.8.1-alt1
- new version (2.8.1)
- removed no more needed subst

* Fri Oct 13 2006 Alexey Rusakov <ktirf@altlinux.ru> 1:2.8.0-alt4
- GTK+ themes are now prefixed with gtk2-theme instead of gtk2-themes.

* Wed Oct 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 1:2.8.0-alt3
- replaced 'gtk-engines' prefix with 'libgtk-engine' prefix, to better
  reflect the nature of an engine and to clearly separate it from
  a gtk-theme (ah, and to frighten a user with 'lib' prefix, too).
- renamed the main package to libgtk-engines-default, and development
  subpackage to libgtk-engines-devel.

* Tue Sep 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 1:2.8.0-alt2
- cleaning up the mess between gtk-engines and gnome-themes.

* Sun Sep 10 2006 Alexey Rusakov <ktirf@altlinux.ru> 1:2.8.0-alt1
- new version 2.8.0 (with rpmrb script)

* Sun Sep 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 1:2.7.8-alt1
- new version 2.7.8 (with rpmrb script)

* Thu Aug 17 2006 Alexey Rusakov <ktirf@altlinux.ru> 1:2.7.7-alt1
- new version (2.7.7)

* Sat Aug 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 1:2.7.6-alt1
- new version (2.7.6)
- no more Metal and Lighthouse Blue engines and themes.
- a new engine, Glide.
- renamed packages, that contain themes, to gtk2-themes-*.
- spec cleanup.

* Sun Feb 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 1:2.7.4-alt1
- new version
- spec cleanup

* Sat Jan 21 2006 Alexey Rusakov <ktirf@altlinux.ru> 1:2.7.3-alt1
- new version

* Sun Jan 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 1:2.7.2-alt1
- new version

* Mon Aug 29 2005 Alexey Rusakov <ktirf@altlinux.ru> 1:2.6.5-alt1
- 2.6.5

* Wed Apr 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 1:2.6.3-alt1
- 2.6.3
- new subpackage with Clearlooks engine.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 1:2.6.2-alt1
- 2.6.2

* Tue Feb 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 1:2.6.1-alt1
- 2.6.1

* Wed Dec 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:2.6.0-alt1
- 2.6.0

* Tue Dec 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt2.7
- do not build pixmap engine that provided by GTK+ since 2.5.6

* Wed Mar 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt2.6
- rebuild with gtk-2.4.

* Sat Jan 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt2.4
- 2.2.0
- devel subpackage.

* Wed Dec 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2.4
- Rebuilt with gtk-2.1.5

* Fri Dec 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2.3
- Rebuilt with gtk-2.1.3.

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2.2
- Rebuilt with new gtk2.

* Thu Oct 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2.1
- Rebuilt with new gtk2.

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt2
- Package renamed.

* Wed Oct 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.9.0-alt1
- First build for Sisyphus.
